summaryrefslogtreecommitdiff
path: root/openstack-rabbitmq.configure
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-11-10 18:06:56 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-02-11 18:30:27 +0000
commit1fd96fe4dd8f8b92afdbd683b40d379fce9d0cc8 (patch)
tree5a6b757222c8bff55e59c62505926166a52719cd /openstack-rabbitmq.configure
parenta5aa4574f32dbe0ceb57b0432ae5e366e98ac402 (diff)
downloaddefinitions-1fd96fe4dd8f8b92afdbd683b40d379fce9d0cc8.tar.gz
WIP: Add rabbitmq configuration extension
Diffstat (limited to 'openstack-rabbitmq.configure')
-rw-r--r--openstack-rabbitmq.configure40
1 files changed, 40 insertions, 0 deletions
diff --git a/openstack-rabbitmq.configure b/openstack-rabbitmq.configure
new file mode 100644
index 00000000..0980b2f5
--- /dev/null
+++ b/openstack-rabbitmq.configure
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+##########################################################################
+# Substitutions in configuration files
+##########################################################################
+
+cat <<EOF > "$ROOT"/etc/openstack-rabbitmq-setup.sed
+s/##RABBITMQ_HOST##/$RABBITMQ_HOST/g
+s/##RABBITMQ_PORT##/$RABBITMQ_PORT/g
+s/##RABBITMQ_USER##/$RABBITMQ_USER/g
+s/##RABBITMQ_PASSWORD##/$RABBITMQ_PASSWORD/g
+EOF
+
+sed -f "$ROOT"/etc/openstack-rabbitmq-setup.sed -i \
+ "$ROOT"/etc/keystone/keystone.conf \
+ "$ROOT"/etc/nova/nova.conf
+
+##########################################################################
+
+ln -s "/etc/systemd/system/openstack-rabbitmq-setup.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openstack-rabbitmq-setup.service"